// PathsInfoDialog.h : header file
//
#pragma once

// CPathsInfoDialog dialog
class CPathsInfoDialog : public CDialogEx
{
// Construction
public:
	CPathsInfoDialog(CWnd* pParent = nullptr);

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_PATHSINFO_DIALOG };
#endif

private:
	virtual void DoDataExchange(CDataExchange* pDX) override;
	virtual BOOL OnInitDialog() override;
	virtual void OnOK() override;

	void SetDataToDialog();
	HRESULT GetAppCurrentDirectory(CString& strDir);
	HRESULT GetExeFilePath(CString& strPath);
	HRESULT GetRoamingAppDataFolder(CString& strPath);

	HICON m_hIcon{ NULL };
	CString m_strCurrentDirectory;
	CString m_strExeFilePath;
	CString m_strAppDataFolder;
	CString m_strUserSelectedFolder;

	DECLARE_MESSAGE_MAP()
	afx_msg void OnButtonSelectFolder();
};
